'use strict';

$(document).ready(function() {

	function generateData(baseval, count, yrange) {
		var i = 0;
		var series = [];
		while (i < count) {
			var x = Math.floor(Math.random() * (750 - 1 + 1)) + 1;;
			var y = Math.floor(Math.random() * (yrange.max - yrange.min + 1)) + yrange.min;
			var z = Math.floor(Math.random() * (75 - 15 + 1)) + 15;

			series.push([x, y, z]);
			baseval += 86400000;
			i++;
		}
		return series;
	}


	// Column chart
    if($('#chart-view').length > 0 ){
    	      
        var options = {
            series: [{
            name: 'series1',
            data: [11, 32, 45, 32, 34, 52, 41],
            colors: [' #C10037' ]
            
          }, {
            name: 'series2',
            colors: [' #C10037'],
            data: [31, 40, 28, 51, 42, 109, 100]
          }],
            chart: {
            height: 350,
            type: 'area',
          },
          fill: {
            colors: [' #C10037', '#C10037'],
            type: 'gradient',
            gradient: {
              shade: 'dark',
              type: "horizontal",
              shadeIntensity: 0.1,
              gradientToColors: undefined, 
              inverseColors: true,
              opacityFrom: 0.5,
              opacityTo: 0.5,
              stops: [0, 50, 100],
              colorStops: []
            }
          },
          dataLabels: {
            enabled: false
          },
          stroke: {
            width: 1,
            curve: 'smooth',
            dashArray: [0, 8, 5],
            opacityFrom: 0.5,
            opacityTo: 0.5,
            colors: [' #C10037'],
          },
          xaxis: {
            type: 'month',
            categories: ["jan", "feb", "march", "april", "may", "june", "july"]
          },
          tooltip: {
           
          },
          };
  
          var chart = new ApexCharts(document.querySelector("#chart-view"), options);
          chart.render();
        
        
    }

    // Column chart
    if($('#monthly-sales').length > 0 ){
      
      var columnCtx = document.getElementById("monthly-sales"),
    	columnConfig = {
    		colors: ['#00C080'],
    		series: [
    			{
    			name: "Received",
    			type: "column",
    			data: [70, 150, 80, 180, 150, 175, 201, 60, 200, 120, ]
    			}
    		],
    		chart: {
    			type: 'bar',
    			fontFamily: 'Poppins, sans-serif',
    			height: 350,
    			toolbar: {
    				show: false
    			}
    		},
    		plotOptions: {
    			bar: {
    				horizontal: false,
    				columnWidth: '60%',
    				endingShape: 'rounded'
    			},
    		},
    		dataLabels: {
    			enabled: false
    		},
    		stroke: {
    			show: true,
    			width: 2,
    			colors: ['transparent']
    		},
    		xaxis: {
    			categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct'],
    		},
    		yaxis: {
    			title: {
    				text: '$ (thousands)'
    			}
    		},
    		fill: {
    			opacity: 1
    		},
    		tooltip: {
    			y: {
    				formatter: function (val) {
    					return "$ " + val + " thousands"
    				}
    			}
    		}
    	};
    	var columnChart = new ApexCharts(columnCtx, columnConfig);
    	columnChart.render();
    }
    if($('#booking-stats').length > 0 ){
    	   
         // Define chart options
        var options = {
            chart: {
                type: 'line',
                height: 350
            },
            series: [
                {
                    name: 'Bookings',
                    data: [30, 40, 35, 50, 49, 60, 70, 91]
                },
                {
                    name: 'Completed',
                    data: [20, 30, 25, 35, 44, 55, 57, 60]
                },
                {
                    name: 'Cancelled',
                    data: [5, 8, 6, 10, 8, 15, 12, 13]
                }
            ],
            xaxis: {
                categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug']
            },
            title: {
                text: '',
                align: 'center',
                style: {
                    fontSize: '18px'
                }
            },
            yaxis: {
                title: {
                    text: 'Count'
                }
            },
            markers: {
                size: 5,
                colors: ['#474EA4', '#00C080', '#FD0000'],
                strokeWidth: 2,
                hover: {
                    size: 8
                }
            },
            stroke: {
                curve: 'smooth',
                width: 2
            },
            colors: ['#474EA4', '#00C080', '#FD0000'],
            legend: {
                position: 'top',
                horizontalAlign: 'right',
                floating: true
            }
        };

        // Render the chart
        var chart = new ApexCharts(document.querySelector("#booking-stats"), options);
        chart.render();
    }
    if($('#chart-bar').length > 0 ){
    	   
      var options = {
        series: [10, 45 , 45],
        chart: {
        width: 200,
        type: 'pie',
      },
      labels: ['Team A', 'Team B', 'Team C'],
      color:['#C10037','#C10037' , '#C10037' ],
      responsive: [{
        breakpoint: 480,
        options: {
          chart: {
            width: 200
          },
          legend: {
            position: 'bottom'
          }
        }
      }]
      };

      var chart = new ApexCharts(document.querySelector("#chart-bar"), options);
      chart.render();
    
    }
    if($('#chart-incomes').length > 0 ){
      var options = {
        series: [{
        name: 'series1',
        data: [31, 40, 28, 51, 42, 109, 100]
      }],
        chart: {
        height: 350,
        type: 'area',
      },
      fill: {
        colors: [' #C10037'],
        type: 'gradient',
        gradient: {
          type: "horizontal",
          shadeIntensity: 0.1,
          gradientToColors: undefined, 
          inverseColors: true,
          opacityFrom: 0.5,
          opacityTo: 0.5,
          stops: [0, 50, 100],
          colorStops: []
        }
      },
      dataLabels: {
        enabled: false
      },
      stroke: {
        curve: 'smooth',
        colors: [' #C10037'],
      },
      xaxis: {
        type: 'Month',
        categories: ["Jan", "Feb", "March", "April", "May", "Jun", "July"]
      },
      tooltip: {
       
      },
      };

      var chart = new ApexCharts(document.querySelector("#chart-incomes"), options);
      chart.render();
    
    
    }

    
});